List Plans & Pricing for an Image
For an image template, returns the compute plans (SKUs) available in the region along with their specs (vCPU, RAM, disk) and hourly/monthly pricing and committed-pricing options. Use the sku_name, id (SKU ID) and plan slug from this response as plan_name, sku_id and slug_name when creating a group.
GET
/api/v1/images/upgradeimage/{vm_template_id}/Path parameters
vm_template_idPathintegerrequiredThe
template_idof the image to fetch plans for.- required
- must be a valid image template ID
example12345
Query parameters
project_idQueryintegerrequiredIdentifier of the project to scope the request to. Required integer project ID.
- required
- must be a valid integer project ID
example{{project_id}}apikeyQuerystringrequiredAPI key used to authenticate the request.
- required
- non-empty string
example{{api_key}}locationQuerystringrequiredRegion whose plans and pricing should be returned.
- required
- must be a valid region name (e.g., Delhi, Chennai)
example{{location}}
Responses
200Successful response
Compute plans and pricing available for the selected image template.
example
200example
Success